Uploaded image for project: 'Helm'
  1. Helm
  2. HELM-270

Grafana dependency for Helm install

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Resolved (View Workflow)
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:

      Description

      While trying to install a new instance of Helm on Ubuntu 20.04.2 LTS, I got the following message:

      The following packages have unmet dependencies:
      opennms-helm : Depends: grafana (>= 6.7) but it is not going to be installed

      Repo info:

      $ apt info grafana
      Package: grafana
      Version: 5.4.3
      Priority: extra
      Section: default
      Maintainer: contact@grafana.com
      Installed-Size: 159 MB
      Depends: adduser, libfontconfig
      Homepage: https://grafana.com
      License: "Apache 2.0"
      Vendor: Grafana
      Download-Size: 55.4 MB
      APT-Sources: https://debian.opennms.org stable/main amd64 Packages
      Description: Grafana
      $ apt info opennms-helm
      Package: opennms-helm
      Version: 6.0.1-1
      Priority: optional
      Section: contrib/net
      Maintainer: Benjamin Reed <ranger@opennms.org>
      Installed-Size: 33.2 MB
      Depends: grafana (>= 6.7)
      Download-Size: 8378 kB
      APT-Sources: https://debian.opennms.org stable/main amd64 Packages
      Description: An OpenNMS Console for Grafana
      

        Attachments

          Activity

            People

            Assignee:
            ranger Benjamin Reed
            Reporter:
            mmahacek Mark Mahacek
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration